<?php

/**
 * @file
 * Contains Drupal\enviromage\GetEnvConf
 * This class provide a function that retrieves environment configuration
 */

declare(strict_types=1);

namespace Drupal\enviromage;

use Drupal\Core\Controller\ControllerBase;

class GetEnvConf extends ControllerBase {

  /**
   * Retrieves environment configuration values from API configuration file:
   *
   * 1. memory_limit
   * 2. max_execution_time
   * 3. realpath_cache_size
   * 4. realpath_cache_ttl
   * 5. upload_max_filesize
   * 6. post_max_size
   *
   *
   * @return array Returns an array containing configuration values
   */
  public function get_environment_configuration(): array {
    $configurations = $this
      ->config('enviromage.settings')
      ->get('settings_list');

    $retrieved_configurations = [];

    foreach ($configurations as $key) {
      $retrieved_configurations[$key] = ini_get($key);
    }
    return $retrieved_configurations;
  }
}
